GET /settings/integrations/stripe/\{key\}
GET/settings/integrations/stripe/:key
GET /settings/integrations/stripe/{key}
Request
Path Parameters
key stringrequired
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
config
object
invoices
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
auto_send boolean
transaction_type_id int64nullable
credit_notes
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
auto_send boolean
transaction_type_id int64nullable
payouts
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
transaction_type_id int64nullable
timezone stringnullable
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
{
"config": {
"invoices": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"auto_send": true,
"transaction_type_id": 0
},
"credit_notes": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"auto_send": true,
"transaction_type_id": 0
},
"payouts": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"transaction_type_id": 0
},
"timezone": "string"
},
"id": 0,
"key": "string",
"type": "string",
"provider_key": "string",
"name": "string"
}
- Schema
- Example (from schema)
Schema
config
object
invoices
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
auto_send boolean
transaction_type_id int64nullable
credit_notes
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
auto_send boolean
transaction_type_id int64nullable
payouts
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
transaction_type_id int64nullable
timezone stringnullable
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
{
"config": {
"invoices": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"auto_send": true,
"transaction_type_id": 0
},
"credit_notes": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"auto_send": true,
"transaction_type_id": 0
},
"payouts": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"transaction_type_id": 0
},
"timezone": "string"
},
"id": 0,
"key": "string",
"type": "string",
"provider_key": "string",
"name": "string"
}
- Schema
- Example (from schema)
Schema
config
object
invoices
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
auto_send boolean
transaction_type_id int64nullable
credit_notes
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
auto_send boolean
transaction_type_id int64nullable
payouts
object
sync_status stringnullable
numbering_source stringnullable
skip_zero_amount boolean
transaction_type_id int64nullable
timezone stringnullable
id int64nullable
key stringnullable
type stringrequired
Possible values: non-empty
provider_key stringnullable
name stringnullable
{
"config": {
"invoices": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"auto_send": true,
"transaction_type_id": 0
},
"credit_notes": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"auto_send": true,
"transaction_type_id": 0
},
"payouts": {
"sync_status": "string",
"numbering_source": "string",
"skip_zero_amount": true,
"transaction_type_id": 0
},
"timezone": "string"
},
"id": 0,
"key": "string",
"type": "string",
"provider_key": "string",
"name": "string"
}
Loading...